%{?nodejs_find_provides_and_requires}
%global enable_tests 1
Name:                nodejs-node-uuid
Version:             1.4.7
Release:             1
Summary:             Simple and fast generation of RFC4122 (v1 and v4) UUIDs for Node.js
License:             MIT
URL:                 https://github.com/broofa/node-uuid
Source0:             https://registry.npmjs.org/node-uuid/-/node-uuid-%{version}.tgz
BuildArch:           noarch
ExclusiveArch:       %{nodejs_arches} noarch
BuildRequires:       nodejs-packaging
%description
This Node.js module provides simple and fast generation of RFC4122 (v1 and v4)
UUIDs. It runs in Node.js and all browsers and can also generate
cryptographically strong random numbers.

%prep
%setup -q -n package

%build

%install
mkdir -p %{buildroot}%{nodejs_sitelib}/node-uuid
cp -pr package.json uuid.js \
    %{buildroot}%{nodejs_sitelib}/node-uuid
%nodejs_symlink_deps
%if 0%{?enable_tests}

%check
%nodejs_symlink_deps --check
%__nodejs test/test.js
%endif

%files
%doc README.md
%license LICENSE.md
%{nodejs_sitelib}/node-uuid

%changelog
* Mon Aug 17 2020 wutao <wutao61@huawei.com> - 1.4.7-1
- Package init
